Skip to main content
PUT
/
api
/
v0
/
commands
/
transfer_credit
/
transfer credit
curl --request PUT \
  --url https://console.vast.ai/api/v0/commands/transfer_credit/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recipient": "user@example.com",
  "amount": 100,
  "client_id": "me",
  "apikey_id": "<string>"
}
'
import requests

url = "https://console.vast.ai/api/v0/commands/transfer_credit/"

payload = {
"recipient": "user@example.com",
"amount": 100,
"client_id": "me",
"apikey_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient: 'user@example.com',
amount: 100,
client_id: 'me',
apikey_id: '<string>'
})
};

fetch('https://console.vast.ai/api/v0/commands/transfer_credit/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": false,
"msg": "Invalid amount"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"detail": "API requests too frequent endpoint threshold=2.5"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
recipient
string
required

Email address or user ID of the recipient

Example:

"user@example.com"

amount
number<float>
required

Amount of credits to transfer (must be positive)

Required range: x >= 0.01
Example:

100

client_id
string

Client identifier (usually "me")

Example:

"me"

apikey_id
string

Optional API key identifier for audit logging

Response

Transfer completed successfully

success
boolean
Example:

true